## freefoam 0.1.0+dfsg

=== CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

cmake_minimum_required(VERSION 2.8.2 FATAL_ERROR)

project(FreeFOAM)

string(TOLOWER "${PROJECT_NAME}" LOWER_PROJECT_NAME)

# version information
set(FOAM_VERSION_MAJOR 0)
set(FOAM_VERSION_MINOR 1)
set(FOAM_VERSION_PATCH 0)
set(FOAM_VERSION_SUFFIX)
set(FOAM_VERSION ${FOAM_VERSION_MAJOR}.${FOAM_VERSION_MINOR})
set(FOAM_VERSION_FULL
  ${FOAM_VERSION}.${FOAM_VERSION_PATCH}${FOAM_VERSION_SUFFIX})
set(FOAM_SOVERSION 1)
set(FOAM_UPSTREAM_VERSION_FULL 1.7.x-d08d3c2)

# set up custom cmake module path
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

# utilities
set(FOAM_CREATE_INCLUDE_WRAPPERS TRUE)
set(FOAM_HAS_FLEX_SOURCES TRUE)
set(FOAM_ENABLE_DOC_INDEX TRUE)
set(FOAM_EXPORT_NAMESPACE FOAM_)
include(${CMAKE_SOURCE_DIR}/CMake/FOAMUtilities.cmake)
include(${CMAKE_SOURCE_DIR}/CMake/FOAMThirdPartyUtilities.cmake)
include(${CMAKE_SOURCE_DIR}/CMake/FOAMInternal.cmake)
include(CTest)

# determine computer system
include(${CMAKE_SOURCE_DIR}/CMake/FOAMDetermineArch.cmake)

# select precision
foam_option(FOAM_DOUBLE_PRECISION "Double precision"
  "Compile ${PROJECT_NAME} with double precision floating point arithmetics."
  ON)
mark_as_advanced(FOAM_DOUBLE_PRECISION)
if(FOAM_DOUBLE_PRECISION)
  set(FOAM_PRECISION DP)
else()
  set(FOAM_PRECISION SP)
endif()

# select whether we want to build framewors on Mac OS X
if(APPLE)
  foam_option(FOAM_BUILD_FRAMEWORKS "Build frameworks"
    "Build frameworks on Mac OS X" OFF)
  mark_as_advanced(FOAM_BUILD_FRAMEWORKS)
else()
  set(FOAM_BUILD_FRAMEWORKS OFF)
endif()

# find python interpreter
find_package(PythonInterp REQUIRED)

# make sure we got Python version 2.4 or newer
foam_dependent_variables(PYTHON_EXECUTABLE PYTHON_VERSION)
if(NOT PYTHON_VERSION)
  foam_determine_python_version(PYTHON_VERSION ${PYTHON_EXECUTABLE})
  set(PYTHON_VERSION ${PYTHON_VERSION} CACHE INTERNAL "The Python version")
  if(PYTHON_VERSION VERSION_LESS 2.4.0)
    message(SEND_ERROR
      "Python version 2.4 or newer required (PYTHON_EXECUTABLE)")
  endif()
endif()
string(REGEX REPLACE "\\.[0-9]+$" "" PYTHON_SHORT_VERSION ${PYTHON_VERSION})

# find the installed ParaView executable
find_program(
  FOAM_PARAVIEW3_APP NAMES "ParaView 3.12.0" "ParaView 3.10.1"
  "ParaView 3.10.0" "ParaView 3.8.1" "ParaView 3.8.0" ParaView paraview
  DOC "Path to the ParaView 3.8 (or newer) application")
mark_as_advanced(FOAM_PARAVIEW3_APP)
foam_dependent_variables(FOAM_PARAVIEW3_APP FOAM_PARAVIEW3_VERSION)
if(FOAM_PARAVIEW3_APP)
  if(NOT FOAM_PARAVIEW3_VERSION)
    get_filename_component(_FOAM_PV3_BINDIR ${FOAM_PARAVIEW3_APP} PATH)
    set(_FOAM_PVBATCH_EXECUTABLE ${_FOAM_PV3_BINDIR}/pvbatch)
    if(NOT EXISTS ${_FOAM_PVBATCH_EXECUTABLE})
      set(_FOAM_PVBATCH_EXECUTABLE ${FOAM_PARAVIEW3_APP})
    endif()
    execute_process(COMMAND ${_FOAM_PVBATCH_EXECUTABLE} --version
      OUTPUT_VARIABLE _pv_version_output
      ERROR_VARIABLE _pv_version_output
      OUTPUT_STRIP_TRAILING_WHITESPACE
      )
    if(_pv_version_output MATCHES
        "(paraview version |ParaView)(([0-9]+\\.)+[0-9]+)")
      set(FOAM_PARAVIEW3_VERSION ${CMAKE_MATCH_2} CACHE INTERNAL
        "The ParaView version")
      message(STATUS
        "ParaView ${FOAM_PARAVIEW3_VERSION} found: ${FOAM_PARAVIEW3_APP}")
    else()
      message(SEND_ERROR
        "Failed to determine the ParaView version: ${_pv_version_output}")
    endif()
  endif()
  if(${FOAM_PARAVIEW3_VERSION} VERSION_LESS 3.8)
    message(WARNING
      "ParaView versions older than 3.8 might not be able\n"
      "to read ${PROJECT_NAME} cases.")
  endif()
else()
  message(WARNING
    "Failed to find the ParaView application")
  set(FOAM_PARAVIEW3_APP)
endif()

# we want shared libraries
set(BUILD_SHARED_LIBS SHARED)

# installation directories
foam_installation_path(FOAM_INSTALL_BIN_PATH bin "Executables"
  "Executables installation path")
if(APPLE AND FOAM_BUILD_FRAMEWORKS)
  foam_installation_path(FOAM_INSTALL_FRAMEWORK_PATH /Library/Frameworks
    "Frameworks" "Framework installation path")
endif()
foam_installation_path(FOAM_INSTALL_LIBRARY_PATH
  lib/${CMAKE_PROJECT_NAME}-${FOAM_VERSION_FULL}
  "Libraries" "Library installation path")
if(NOT WIN32)
  foam_installation_path(FOAM_INSTALL_PLUGIN_PATH
    "${FOAM_INSTALL_LIBRARY_PATH_ORIG}/plugins${FOAM_SOVERSION}"
    "Plugins" "Plugin installation path")
endif()
foam_installation_path(FOAM_INSTALL_LIBEXEC_PATH
  libexec/${CMAKE_PROJECT_NAME}-${FOAM_VERSION_FULL} "Private executables"
  "Installation path for executables not on PATH.")
foam_installation_path(FOAM_INSTALL_HEADER_PATH
  include/${CMAKE_PROJECT_NAME}-${FOAM_VERSION_FULL}
  "Headers" "Header installation path (not for frameworks)")
foam_installation_path(FOAM_INSTALL_CONFIG_PATH
  etc/${CMAKE_PROJECT_NAME}/${FOAM_VERSION_FULL} "Config files"
  "Configuration files installation path")
foam_installation_path(FOAM_INSTALL_DATA_PATH
  share/${CMAKE_PROJECT_NAME}-${FOAM_VERSION_FULL} "Data files"
  "Data files installation path")
foam_installation_path(FOAM_INSTALL_DOC_PATH
  share/doc/${CMAKE_PROJECT_NAME}-${FOAM_VERSION_FULL} "Documentation"
  "Documentation files installation path")
foam_installation_path(FOAM_INSTALL_MAN_PATH share/man "Man pages"
  "Man-pages installation path")
foam_installation_path(FOAM_INSTALL_TUTORIALS_PATH
  "${FOAM_INSTALL_DOC_PATH_ORIG}" "Tutorials" "Tutorials installation path")
foam_installation_path(FOAM_INSTALL_CMAKE_PATH
  "${FOAM_INSTALL_DATA_PATH_ORIG}/CMake"
  "CMake files" "CMake configuration files installation path")
foam_installation_path(FOAM_INSTALL_USERDFOAM_PATH
  "${FOAM_INSTALL_PLUGIN_PATH_ORIG}/ensightReader"
  "Ensight plugin" "Ensight OpenFOAM-reader plugin installation path")
foam_dependent_variables(PYTHON_VERSION FOAM_INSTALL_PYTHON_PATH)
foam_installation_path(FOAM_INSTALL_PYTHON_PATH
  "lib/python${PYTHON_SHORT_VERSION}/site-packages"
  "Python modules" "Python modules installation base path")

set(FOAM_INSTALL_RUNTIME_PATH "${FOAM_INSTALL_LIBEXEC_PATH}")

# determine the INSTALL_NAME_DIR of potential frameworks
if(APPLE AND FOAM_BUILD_FRAMEWORKS)
  set(FOAM_FRAMEWORK_INSTALL_NAME_DIR "${FOAM_INSTALL_FRAMEWORK_PATH}")
else()
  set(FOAM_FRAMEWORK_INSTALL_NAME_DIR "${FOAM_INSTALL_LIBRARY_PATH}")
endif()

# select html documentation browser (try a few well known ones for default)
# have to loop, because find_program(HTML_DOC_BROWSER NAMES ...) garbles things
# up
set(_BROWSERS xdg-open sensible-browser x-www-browser gnome-open kde-open
  firefox chromium-browser epiphany konqueror www-browser w3m lynx launch)
if(APPLE)
  list(INSERT _BROWSERS 0 open)
endif()
foreach(browser IN LISTS _BROWSERS)
  find_program(HTML_DOC_BROWSER ${browser}
    DOC "Program to open an HTML file")
  if(HTML_DOC_BROWSER)
    break()
  endif()
endforeach()
if(NOT HTML_DOC_BROWSER)
  message(STATUS
    "Failed to find a program to open HTML pages with (a.k.a a browser).\n"
    "Point HTML_DOC_BROWSER to a suitable program.")
  set(HTML_DOC_BROWSER "ECHO" CACHE STRING
    "Command to open an HTML file (ECHO will print it to STDOUT)" FORCE)
endif()
set(FOAM_HTML_DOC_BROWSER_COMMAND
  "\${HTML_DOC_BROWSER} %f" CACHE STRING "Command to open an HTML file")
string(CONFIGURE "${FOAM_HTML_DOC_BROWSER_COMMAND}"
  FOAM_HTML_DOC_BROWSER_COMMAND ESCAPE_QUOTES)
mark_as_advanced(HTML_DOC_BROWSER FOAM_HTML_DOC_BROWSER_COMMAND)

# Executable-prefix
string(TOLOWER "${PROJECT_NAME}-" _FOAM_DEFAULT_EXE_PREFIX)
set(FOAM_EXE_PREFIX "${_FOAM_DEFAULT_EXE_PREFIX}"
  CACHE STRING "Prefix for application output-names")
mark_as_advanced(FOAM_EXE_PREFIX)
string(TOUPPER "${FOAM_EXE_PREFIX}" FOAM_UPPER_EXE_PREFIX)

# ask user whether she wants to build Doxygen docs
foam_option(FOAM_ENABLE_DOXYGEN_DOCS "Doxygen API documentation"
  "Build the Doxygen API documentation" OFF)
# make sure only ON and OFF are used
if(FOAM_ENABLE_DOXYGEN_DOCS)
  set(FOAM_ENABLE_DOXYGEN_DOCS ON)
else()
  set(FOAM_ENABLE_DOXYGEN_DOCS OFF)
endif()
# if user wants doxygen docs, find Doxygen and set up some options
if(FOAM_ENABLE_DOXYGEN_DOCS)
  find_package(Doxygen REQUIRED)
  execute_process(COMMAND ${DOXYGEN_EXECUTABLE} --version
    RESULT_VARIABLE DOXYGEN_VERSION_RESULT
    OUTPUT_VARIABLE DOXYGEN_VERSION_OUTPUT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(DOXYGEN_VERSION_RESULT)
    message(SEND_ERROR "Failed to determine doxygen version")
  endif()
  if(${DOXYGEN_VERSION_OUTPUT} VERSION_GREATER 1.6.3 AND
      ${DOXYGEN_VERSION_OUTPUT} VERSION_LESS 1.7.2-20101106)
    message(WARNING
      "Found Doxygen version ${DOXYGEN_VERSION_OUTPUT}. "
      "Versions newer than 1.6.3 and older than 1.7.2-20101106 "
      "usually crash when processing the ${PROJECT_NAME} documentation.")
  endif()
  # ask user whether she prefers local or www docs
  foam_option(FOAM_USE_LOCAL_DOXYGEN_DOCS "Use local API docs"
    "Use the local API documentation instead of http://freefoam.sf.net/doc/API"
    ON)
  mark_as_advanced(FOAM_USE_LOCAL_DOXYGEN_DOCS)
endif()

# ask user whether she wants to build the man pages
foam_option(FOAM_ENABLE_MANPAGE_HELP "Build manpage help"
  "Build the manpages (requires asciidoc)" OFF)
# ask user whether she wants to build the xhtml man pages
foam_option(FOAM_ENABLE_XHTML_HELP "Build xhtml help"
  "Build the xhtml help pages (requires asciidoc)" OFF)
# as user whether she wanst to build the xhtml guides
foam_option(FOAM_ENABLE_XHTML_GUIDES "Build the xhtml guides"
  "Build the xhtml guides (requires asciidoc, dot, inkscape and asymptote)"
  OFF)
# as user whether she wanst to build the xhtml guides
foam_option(FOAM_ENABLE_PDF_GUIDES "Build the PDF guides"
  "Build the PDF guides (requires asciidoc, dot, inkscape and asymptote)" OFF)
if(FOAM_ENABLE_PDF_GUIDES)
  foam_option(FOAM_USE_FOP "Use FOP instead of dblatex"
    "Use FOP to build the PDF guides instead of dblatex" OFF)
  mark_as_advanced(FOAM_USE_FOP)
else()
  set(FOAM_USE_FOP FALSE)
endif()

if(FOAM_ENABLE_DOXYGEN_DOCS OR FOAM_ENABLE_XHTML_GUIDES)
  foam_option(FOAM_DOCS_FOR_SF "Docs for SourceForge"
    "Build the docs for deployment on SourceForge" OFF)
  mark_as_advanced(FOAM_DOCS_FOR_SF)
  # make sure only ON and OFF are used
  if(FOAM_DOCS_FOR_SF)
    set(FOAM_DOCS_FOR_SF ON)
  else()
    set(FOAM_DOCS_FOR_SF OFF)
  endif()
endif()

if(BUILD_TESTING)
  # ask user whether whe wants full tutorial tests
  foam_option(FOAM_ENABLE_FULL_TUTORIAL_TESTS
    "Full tutorial tests"
    "Run the complete tutorial tests (not just a single time step)" OFF)
  mark_as_advanced(FOAM_ENABLE_FULL_TUTORIAL_TESTS)
