=== applications/test/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

add_subdirectory(quaternion)
add_subdirectory(tmpField)
add_subdirectory(io)
add_subdirectory(dictionary)
add_subdirectory(SLList)
add_subdirectory(stringList)
add_subdirectory(symmTensorField)
add_subdirectory(ISLList)
add_subdirectory(error)
add_subdirectory(Dictionary_)
add_subdirectory(pointField)
add_subdirectory(maxMem)
add_subdirectory(DLList)
add_subdirectory(HashPtrTable)
add_subdirectory(dataEntry)
add_subdirectory(HashTable2)
add_subdirectory(Matrix)
add_subdirectory(Tuple2)
add_subdirectory(callback)
add_subdirectory(IndirectList)
add_subdirectory(graphXi)
add_subdirectory(primitivePatch)
add_subdirectory(tensor)
add_subdirectory(POSIX)
add_subdirectory(alloc)
add_subdirectory(sphericalTensorField)
add_subdirectory(vector)
add_subdirectory(volPointInterpolation)
add_subdirectory(string)
add_subdirectory(findCell-octree)
add_subdirectory(pTraits)
add_subdirectory(liquid)
add_subdirectory(List)
add_subdirectory(triTet)
add_subdirectory(mkdir)
add_subdirectory(readCHEMKINIII)
add_subdirectory(delete)
add_subdirectory(volField)
add_subdirectory(Field)
add_subdirectory(HashTable)
add_subdirectory(NamedEnum)
add_subdirectory(testPointEdgeWave)
add_subdirectory(CompactListList)
add_subdirectory(fileName)
add_subdirectory(cyclic)
add_subdirectory(simpleMatrix)
add_subdirectory(Map)
add_subdirectory(sort)
add_subdirectory(IStringStream)
add_subdirectory(findTimes)
add_subdirectory(prefixOSstream)
add_subdirectory(UDictionary)
add_subdirectory(FixedList)
add_subdirectory(fvc)
add_subdirectory(speed)
add_subdirectory(OStringStream)
add_subdirectory(parallel)
add_subdirectory(HashSet)
add_subdirectory(mesh)
add_subdirectory(ODETest)
add_subdirectory(graph)
add_subdirectory(dimensionedType)
add_subdirectory(nearWallDist-wave)
add_subdirectory(router)
add_subdirectory(slicedField)
add_subdirectory(DynamicList)
add_subdirectory(DynamicField)
add_subdirectory(Hashing)
add_subdirectory(HashingSpeed)
add_subdirectory(PackedList)
add_subdirectory(PackedList1)
add_subdirectory(PackedList2)
add_subdirectory(PtrList)
add_subdirectory(StaticHashTable)
add_subdirectory(UIndirectListTest)
add_subdirectory(directMappedPatch)
add_subdirectory(extendedStencil)
add_subdirectory(foamVersion)
add_subdirectory(mvBak)
add_subdirectory(regex)
add_subdirectory(sha1)
add_subdirectory(wordRe)
add_subdirectory(xfer)

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file
