=== debian/control ===
Source: freefoam
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
  Gerber van der Graaf <gerber_graaf@users.sourceforge.net>,
  Michael Wild <themiwi@users.sourceforge.net>
Vcs-Git: git://git.debian.org/git/debian-science/packages/freefoam.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/freefoam.git
DM-Upload-Allowed: yes
Homepage: http://freefoam.wiki.sourceforge.net/
Build-Depends: cdbs, debhelper (>= 5.0.24), python-support, cmake, flex, 
 gawk, python, libreadline6-dev, zlib1g-dev, libscotch-dev, 
 mpi-default-dev, mpi-default-bin, paraview (>= 3.8), doxygen, 
 libjs-jquery, asciidoc, xmlto, docbook-utils, dvipng, asymptote, 
 texlive-science, dblatex, dpkg-dev (>= 1.16.1~), graphviz
Standards-Version: 3.9.3

Package: libfreefoam1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: libraries for Computational Fluid Dynamics (CFD)
 Libraries and modules for grid generation, simulation and analyzing
 of complex fluid flows. The flows may involve chemical reactions,
 turbulence, heat transfer, solid dynamics, electromagnetics and even
 the pricing of financial options. The libraries also include
 algorithms for post-processing and visualizing the resulting
 data. FreeFOAM is a fork of OpenFOAM.

Package: libfreefoam-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfreefoam1 (= ${binary:Version}), ${python:Depends}
Description: libraries for Computational Fluid Dynamics (CFD) - development files
 Libraries and modules for grid generation, simulation and analyzing of
 complex fluid flows, post-processing and visualizing of the resulting
 data. The flows may involve chemical reactions, turbulence, heat
 transfer, solid dynamics, electromagnetics and even the pricing of
 financial options. FreeFOAM is a fork of OpenFOAM.
 .
 This package contains static linked libraries, headers and templates

Package: freefoam
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
  libfreefoam1 (= ${binary:Version}), mpi-default-bin, 
  tcsh | csh | c-shell, ${python:Depends}
Description: programs for Computational Fluid Dynamics (CFD)
 A collection of solvers and utility programs for grid generation,
 simulation and analyzing of complex fluid flows, post-processing and
 visualizing of the resulting data. The flows may involve chemical
 reactions, turbulence and heat transfer, solid dynamics,
 electromagnetics and even the pricing of financial options. FreeFOAM
 is a fork of OpenFOAM.
 .
 The programs are invoked with "freefoam foo".

Package: freefoam-user-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python
Description: software for Computational Fluid Dynamics - user documentation
 Tutorials and user documentation for a collection of programs for
 grid generation, simulation and analyzing of complex fluid flows,
 post-processing and visualizing of the resulting data. The flows may
 involve chemical reactions, turbulence and heat transfer, solid
 dynamics, electromagnetics and even the pricing of financial
 options. FreeFOAM is a fork of OpenFOAM.

Package: freefoam-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python
Description: software for Computational Fluid Dynamics - developers documentation
 Library references and developers documentation for a collection of
 programs for grid generation, simulation and analyzing of complex
 fluid flows, post-processing and visualizing of the resulting data. The
 flows may involve chemical reactions, turbulence and heat transfer,
 solid dynamics, electromagnetics and even the pricing of financial
 options. FreeFOAM is a fork of OpenFOAM.
